# Class Group < Namespace

- app/models/group.rb

## Schema Information

Table name: namespaces

    id         :integer          not null, primary key
    name       :string(255)      not null
    path       :string(255)      not null
    owner_id   :integer          not null
    created_at :datetime         not null
    updated_at :datetime         not null
    type       :string(255)

Methods

A
  - add_users_to_project_teams
H
  - human_name
T
  - truncate_teams
U
  - users

Instance Public methods
add_users_to_project_teams(user_ids, project_access) Link

Source: show

    # File app/models/group.rb, line 15
    def add_users_to_project_teams(user_ids, project_access)
      UsersProject.add_users_into_projects(
        projects.map(&:id),
        user_ids,
        project_access
      )
    end

human_name() Link

Source: show

    # File app/models/group.rb, line 29
    def human_name
      name
    end

truncate_teams() Link

Source: show

    # File app/models/group.rb, line 33
    def truncate_teams
      UsersProject.truncate_teams(project_ids)
    end

users() Link

Source: show

    # File app/models/group.rb, line 23
    def users
      users = User.joins(:users_projects).where(users_projects: {project_id: project_ids})
      users = users << owner
      users.uniq
    end